QGIS Application - Bug report #15339
Warp tool requires CRS of extent when no extent set
2016-07-25 11:16 AM - Evan Derickson

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23271
Description

Since updating to QGIS 2.16 in Ubuntu, there is a new field: CRS of raster extent. This field is mandatory even when no extent is
specified. Specifying a CRS in this field, for example the same CRS as the Destination CRS, creates a -te value in the GDAL command.

When the raster extent field is blank, the Extent CRS should not be required, and no -te flag should be included in the gdalwarp
command.

Related issues:
Duplicated by QGIS Application - Bug report # 16293: gdalwarp issues with the... Closed 2017-03-06
Duplicated by QGIS Application - Bug report # 16519: Processing: error when t... Rejected 2017-05-04

Associated revisions

Revision 8884e597 - 2017-05-10 06:15 PM - Alexander Bruy

[processing] don't apply -te and -te_srs if not requested (fix #15339)

History

#1 - 2016-07-27 10:38 AM - Giovanni Manghi
- Assignee changed from Victor Olaya to Giovanni Manghi

#2 - 2016-09-16 03:49 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Should be fixed in master

#3 - 2017-03-26 01:23 PM - Evan Derickson
- File CRS_extent.png added
- Status changed from Closed to Reopened

As of 2.18.5, the GDAL warp tool will always add a -te parameter to the gdalwarp command, no matter if the user inputs something to the extent field. If the
user does not select a CRS for the extent, the tool will fail with the message:

ERROR 1: Attempt to create 0x0 dataset is illegal,sizes must be larger than zero.
Creating output file that is OP x OL.
The user must still designate an extent CRS to proceed. | would therefore still consider this bug still open, though its nature has changed.

#4 - 2017-03-26 01:25 PM - Giovanni Manghi

- Resolution deleted (fixed/implemented)

The user must still designate an extent CRS to proceed. | would therefore still consider this bug still open, though its nature has changed.

agree, | must address this -te parameter.

#5 - 2017-05-01 01:02 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#6 - 2017-05-03 09:33 AM - Alexander Bruy
- Duplicated by Bug report #16293: gdalwarp issues with the "te" parameter added

#7 - 2017-05-03 09:33 AM - Alexander Bruy
- Description updated
- Priority changed from Normal to High

#8 - 2017-05-03 11:18 AM - Giovanni Manghi
- Regression? changed from No to Yes

#9 - 2017-05-05 09:51 AM - Alexander Bruy
- Duplicated by Bug report #16519: Processing: error when to trying to reproject layer added

#10 - 2017-05-05 11:05 AM - Giovanni Manghi
- Affected QGIS version changed from 2.16.0 to 2.18.7
- Status changed from Reopened to Open

#11 - 2017-05-10 03:01 PM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in abc74b42624cc3815e4338111a5d1214d5420bda
